Package docking.widgets.table.constraint

# Class StringMatchesColumnConstraint

java.lang.Object
docking.widgets.table.constraint.StringColumnConstraint
docking.widgets.table.constraint.StringMatchesColumnConstraint

All Implemented Interfaces:
  `ColumnConstraint<String>`, `Comparable<ColumnConstraint<String>>`

Direct Known Subclasses:
  `StringNotMatchesColumnConstraint`

public class StringMatchesColumnConstraint extends StringColumnConstraint
String column constraint for matching column values if they match a full regular expression pattern.

- ## Field Summary

  ### Fields inherited from class docking.widgets.table.constraint.StringColumnConstraint

  `matchesPattern`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StringMatchesColumnConstraint(String spec)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ColumnConstraint<String>`
  `copy(String newPatternString)`
  subclasses must override to generate new versions of themselves but with a new pattern string.
  `protected Pattern`
  `generateFindsPattern()`
  `protected Pattern`
  `generateMatchesPattern(String patternString)`
  `String`
  `getName()`
  Returns the name of the constraint
  `boolean`
  `isValidPatternString(String value)`

  ### Methods inherited from class docking.widgets.table.constraint.StringColumnConstraint

  `accepts, equals, getColumnType, getConstraintValueString, getConstraintValueTooltip, getEditor, getGroup, getHighlightMatcher, getPatternString, hashCode, parseConstraintValue, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface docking.widgets.table.constraint.ColumnConstraint

  `asString, compareTo`

- ## Constructor Details

  - ### StringMatchesColumnConstraint

    public StringMatchesColumnConstraint(String spec)
    Constructor

    This class is for users to enter true regular expression which is why it creates a pattern directly without using the `UserSearchUtils`.

    Parameters:
      `spec` - the string to use to create a "matcher" pattern.

- ## Method Details

  - ### getName

    public String getName()
    Description copied from interface: `ColumnConstraint`
    Returns the name of the constraint
    Returns:
      the name of the constraint.

  - ### copy

    public ColumnConstraint<String> copy(String newPatternString)
    Description copied from class: `StringColumnConstraint`
    subclasses must override to generate new versions of themselves but with a new pattern string.
    Specified by:
      `copy` in class `StringColumnConstraint`
    Parameters:
      `newPatternString` - the new string to use for creating the match pattern.
    Returns:
      a new ColumnConstraint that is the same type as this constraint but with a new range defined.

  - ### generateMatchesPattern

    protected Pattern generateMatchesPattern(String patternString)
    Specified by:
      `generateMatchesPattern` in class `StringColumnConstraint`

  - ### isValidPatternString

    public boolean isValidPatternString(String value)
    Overrides:
      `isValidPatternString` in class `StringColumnConstraint`

  - ### generateFindsPattern

    protected Pattern generateFindsPattern()
    Overrides:
      `generateFindsPattern` in class `StringColumnConstraint`